package com.heyu.api.data.service.impl.system;
/**
* <p>
* 问答配置表（问答关键字匹配表，该表中未匹配到的才会调用第三方语言模型） 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.system.SystemTalkAnswerConfigDao;
import com.heyu.api.data.entity.system.SystemTalkAnswerConfigEntity;
import com.heyu.api.data.service.system.SystemTalkAnswerConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class SystemTalkAnswerConfigServiceImpl extends ServiceImpl<SystemTalkAnswerConfigDao, SystemTalkAnswerConfigEntity> implements SystemTalkAnswerConfigService {


    @Autowired
	private SystemTalkAnswerConfigDao systemTalkAnswerConfigDao;



	@Override
	public SystemTalkAnswerConfigEntity selectSystemTalkAnswerConfigById(Long id){
		return systemTalkAnswerConfigDao.selectSystemTalkAnswerConfigById(id);
	}



	@Override
	public Long insertSystemTalkAnswerConfig(SystemTalkAnswerConfigEntity systemTalkAnswerConfig){
		return systemTalkAnswerConfigDao.insertSystemTalkAnswerConfig(systemTalkAnswerConfig);
	}



	@Override
	public Long insertOrUpdateSystemTalkAnswerConfig(SystemTalkAnswerConfigEntity systemTalkAnswerConfig){
		return systemTalkAnswerConfigDao.insertOrUpdateSystemTalkAnswerConfig(systemTalkAnswerConfig);
	}



	@Override
	public int updateSystemTalkAnswerConfigById(SystemTalkAnswerConfigEntity systemTalkAnswerConfig){
		return systemTalkAnswerConfigDao.updateSystemTalkAnswerConfigById(systemTalkAnswerConfig);
	}



	@Override
	public int updateCoverSystemTalkAnswerConfigById(SystemTalkAnswerConfigEntity systemTalkAnswerConfig){
		return systemTalkAnswerConfigDao.updateCoverSystemTalkAnswerConfigById(systemTalkAnswerConfig);
	}



	@Override
	public int deleteSystemTalkAnswerConfigById(Long id){
		return systemTalkAnswerConfigDao.deleteSystemTalkAnswerConfigById(id);
	}



}
